import { Module, forwardRef } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EventEmitterModule } from '@nestjs/event-emitter';
import { LiveBlogService } from './live-blog.service';
import { LiveBlogController } from './live-blog.controller';
import { LiveBlog, LiveBlogUpdate, Author, Category } from './entities';
import { StrapiModule } from './strapi.module';
import { PushModule } from './push/push.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([LiveBlog, LiveBlogUpdate, Author, Category]),
    EventEmitterModule.forRoot(),
    forwardRef(() => StrapiModule),
    forwardRef(() => PushModule),
  ],
  controllers: [LiveBlogController],
  providers: [LiveBlogService],
  exports: [LiveBlogService],
})
export class LiveBlogModule {}
